net.dontdrinkandroot.utils.progressmonitor

## Interface ProgressMonitor

All Known Implementing Classes:
  DummyProgressMonitor, SimpleProgressMonitor

    public interface ProgressMonitor

### Method Summary

Methods
`ProgressMonitor` `createChildMonitor(int startPercent, int endPercent)`
`String` `getAccumulatedMessage()`
`String` `getAccumulatedMessage(String separator)`
`List<String>` `getAccumulatedMessages()`
`int` `getAccumulatedProgress()`
`String` `getMessage()`
`int` `getProgress()`
`ProgressStatus` `getProgressStatus()`
`ProgressStatus` `getProgressStatus(String separator)`
`void` `setMessage(String message)`
`void` `setProgress(int progress)`

### Method Detail

#### setProgress

    void setProgress(int progress)

#### getProgress

    int getProgress()

#### getMessage

    String getMessage()

#### getAccumulatedProgress

    int getAccumulatedProgress()

#### getAccumulatedMessage

    String getAccumulatedMessage()

#### getAccumulatedMessage

    String getAccumulatedMessage(String separator)

#### setMessage

    void setMessage(String message)

#### createChildMonitor

    ProgressMonitor createChildMonitor(int startPercent,
                                     int endPercent)

#### getProgressStatus

    ProgressStatus getProgressStatus()

#### getProgressStatus

    ProgressStatus getProgressStatus(String separator)

#### getAccumulatedMessages

    List<String> getAccumulatedMessages()